#include "Salamander.h"
#include "PlatformEvent.h"

namespace Salamander
{

defineUniqueId(PlatformEvent);
PlatformEvent::PlatformEvent(platformAction action) : 
	action_(action)
{
	
}

PlatformEvent::~PlatformEvent()
{

}

PlatformEvent::platformAction PlatformEvent::getAction() const
{
	return action_;
}

}